RUN-PARTS(8)

NAZWA
run-parts - uruchamia skrypty lub programy w katalogu

SKŁADNIA
run-parts [--test] [--verbose] [--report] [--lsbsysinit] [--umask=umask] [--arg=argument] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] KATALOG

run-parts -V

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

run-parts uruchamia wszystkie programy wykonywalne znalezione w katalogu katalog. Pozostałe pliki są po cichu ignorowane. Jeżeli nie podano opcji --lsbsysinit, to nazwy plików muszą składać się w tylko i wyłącznie z dużych i małych liter, cyfr, podkreśleń i myślników. Jeżeli podano opcję --lsbsysinit, to nazwy plików nie mogą kończyć się na .dpkg-old lub .dpkg-dist i muszą należeć do jednej lub kilku z następujących przestrzeni nazw: przestrzeń nazw przydzielona przez LANANA (^[a-z0-9]+$); hierarchiczna i zarezerwowana przestrzeń nazw LSB (^_?([a-z0-9_.]+-)+[a-z0-9]+$); i przestrzeń nazw skryptów crona Debiana (^[a-z0-9][a-z0-9-]*$). Znalezione pliki są uruchamiane w alfabetycznej kolejności ich nazw, chyba że w linii poleceń podano opcję --reverse - w tym wypadku skrypty będą uruchamiane w odwrotnej kolejności.

  OPCJE

--test
    wypisuje nazwy skryptów, które zostałyby uruchomione, ale faktycznie ich nie uruchamia.

--list
    wypisuje nazwy wszystkich plików (nie tylko wykonywalnych), ale faktycznie ich nie uruchamia. Ta opcja nie może być użyta z --test.

--verbose
    przed uruchomieniem każdego ze skryptów wypisuje jego nazwę na stderr.

--report
    podobne do --verbose, ale wypisuje nazwy tylko tych skryptów, które generują wyjście. Nazwa skryptu jest wypisywana na stdout lub stderr, w zależności od tego, gdzie skrypt wysyła swoje pierwsze wyniki.

--reverse
    odwraca porządek wykonywania skryptów.

--exit-on-error
    kończy pracę, gdy tylko któryś ze skryptów zakończy się niezerowym kodem wyjścia.

--lsbsysinit
    Używa konwencji nazw LSB, zamiast zwykłej.

-u, --umask=umask
    Przed uruchomieniem skryptów nadaje umask wartość umask. Powinna ona zostać podana ósemkowo. Domyślnie umask otrzymuje wartość 022.

-a, --arg=argument
    Przekazuje argument do skryptów. Należy użyć osobnego --arg dla każdego argumentu, który chce się przekazać.

--  Oznacza koniec opcji. Jakakolwiek nazwa pliku występująca po -- nie będzie interpretowana jako opcja, nawet jeśli zaczyna się od myślnika.

-h, --help
    Wyświetla informację o sposobie wywołania i kończy pracę.

-V, --version
    Wyświetla numer wersji i informację o prawach autorskich i kończy pracę.

COPYRIGHT

Copyright (C) 1994 Ian Jackson.

Copyright (C) 1996 Jeff Noxon.

Copyright (C) 1996, 1997, 1998 Guy Maor

Copyright (C) 2002, 2003, 2004 Clint Adams run-parts jest wolnym oprogramowaniem; warunki kopiowania można znaleźć w Powszechnej Licencji Publicznej GNU w wersji 2 lub późniejszej. Nie ma żadnej gwarancji.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 run-parts

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.